#include "TTree.h"
#include "TFile.h"

void all()
{
// open ROOT file 
TFile *ftree = new TFile("all.root", "recreate");
  // creation of the first TTree
	TTree *nuc1 = new TTree("Nuclides1", "");
  // creation and filling of branches to hold the variables
	nuc1->ReadFile("06_o15_n15_pos_neu.txt","t9_1/F:Rate_1");
// Write, Scan and Print the Tree
	nuc1->Write();	
	nuc1->Scan();
	nuc1->Print();



  // creation of the 2 TTree
	TTree *nuc2 = new TTree("Nuclides2", "");
  // creation and filling of branches to hold the variables
	nuc2->ReadFile("16_h1_o18_n15_he4.txt","t9_2/F:Rate_2");
// Write, Scan and Print the Tree
	nuc2->Write();	
	nuc2->Scan();
	nuc2->Print()

// creation of the 3 TTree
	TTree *nuc3 = new TTree("Nuclides3", "");
  // creation and filling of branches to hold the variables
	nuc3->ReadFile("24_h1_o18_f19_gamma.txt","t9_3/F:Rate_3");
// Write, Scan and Print the Tree
	nuc3->Write();	
	nuc3->Scan();
	nuc3->Print();

  // creation of the 4 TTree
	TTree *nuc4 = new TTree("Nuclides4", "");
  // creation and filling of branches to hold the variables
	nuc4->ReadFile("11_h1_o17_he4_n14.txt","t9_4/F:Rate_4");
// Write, Scan and Print the Tree
	nuc4->Write();	
	nuc4->Scan();
	nuc4->Print();

  // creation of the 5 TTree
	TTree *nuc5 = new TTree("Nuclides5", "");
  // creation and filling of branches to hold the variables
	nuc5->ReadFile("14_h1_o17_f18_gamma.txt","t9_5/F:Rate_5");
// Write, Scan and Print the Tree
	nuc5->Write();	
	nuc5->Scan();
	nuc5->Print();

  // creation of the 6 TTree
	TTree *nuc6 = new TTree("Nuclides6", "");
  // creation and filling of branches to hold the variables
	nuc6->ReadFile("09_h1_o16_f17_gamma.txt","t9_6/F:Rate_6");
// Write, Scan and Print the Tree
	nuc6->Write();	
	nuc6->Scan();
	nuc6->Print();


nuc1->AddFriend(nuc2);
nuc1->AddFriend(nuc3);
nuc1->AddFriend(nuc4);
nuc1->AddFriend(nuc5);
nuc1->AddFriend(nuc6);

 TCanvas *c = new TCanvas("c", "c");
c->SetLogx();
c->SetLogy();



nuc1->SetLineColor(kRed);
nuc1->Draw("Rate_1:t9_1" , "" , "line");

nuc2->SetLineColor(kGreen);
nuc2->Draw("Rate_2:t9_2" , "" , "SAME line");

nuc3->SetLineColor(kYellow);
nuc3->Draw("Rate_3:t9_3" , "" , "SAME line");

nuc4->SetLineColor(kMagenta);
nuc4->Draw("Rate_4:t9_4" , "" , "SAME line");


nuc5->SetLineColor(kCyan);
nuc5->Draw("Rate_5:t9_5" , "" , "SAME line");


nuc6->SetLineColor(kBlack);
nuc6->Draw("Rate_6:t9_6" , "" , "SAME line");

}
